Commit b62f3521 authored by Bert Leunis's avatar Bert Leunis

CMS-11604 use fixed npm versions; include and use chosen-js correctly

parent a8cc68a2
......@@ -49,7 +49,6 @@ module.exports = function gruntFunctions(grunt) {
src: [
'jquery/dist/jquery.js',
'angular/angular.js',
'chosen-npm/public/chosen.jquery.js',
'angular-chosen-localytics/dist/angular-chosen.js',
'angular-ui-bootstrap/ui-bootstrap-tpls.js',
'angular-ui-router/release/angular-ui-router.js',
......@@ -57,6 +56,7 @@ module.exports = function gruntFunctions(grunt) {
'angular-sanitize/angular-sanitize.js',
'angular-aria/angular-aria.js',
'angular-animate/angular-animate.js',
'chosen-js/chosen.jquery.js',
'google-code-prettify/src/prettify.js',
],
},
......
......@@ -30,9 +30,9 @@
"integrity": "sha1-3ep2itMLWPh15RgRQaf/qc0QDo4="
},
"angular-chosen-localytics": {
"version": "1.6.0",
"resolved": "https://registry.npmjs.org/angular-chosen-localytics/-/angular-chosen-localytics-1.6.0.tgz",
"integrity": "sha1-SzcMoqX1yd/QT0Jl9goviyMd2fo=",
"version": "1.4.3",
"resolved": "http://registry.npmjs.org/angular-chosen-localytics/-/angular-chosen-localytics-1.4.3.tgz",
"integrity": "sha1-YO5XKP2PAF0K4+5ctb9Zr8UuK4o=",
"requires": {
"angular": "^1.5.7",
"chosen-js": "^1.6.1",
......@@ -43,6 +43,11 @@
"version": "1.7.5",
"resolved": "https://registry.npmjs.org/angular/-/angular-1.7.5.tgz",
"integrity": "sha512-760183yxtGzni740IBTieNuWLtPNAoMqvmC0Z62UoU0I3nqk+VJuO3JbQAXOyvo3Oy/ZsdNQwrSTh/B0OQZjNw=="
},
"jquery": {
"version": "3.3.1",
"resolved": "https://registry.npmjs.org/jquery/-/jquery-3.3.1.tgz",
"integrity": "sha512-Ubldcmxp5np52/ENotGxlLe6aGMvmF4R8S6tZjsP6Knsaxd/xp3Zrh50cG93lR6nPXyUFwzN3ZSOQI0wRJNdGg=="
}
}
},
......@@ -821,9 +826,9 @@
"dev": true
},
"jquery": {
"version": "3.3.1",
"resolved": "https://registry.npmjs.org/jquery/-/jquery-3.3.1.tgz",
"integrity": "sha512-Ubldcmxp5np52/ENotGxlLe6aGMvmF4R8S6tZjsP6Knsaxd/xp3Zrh50cG93lR6nPXyUFwzN3ZSOQI0wRJNdGg=="
"version": "3.2.1",
"resolved": "https://registry.npmjs.org/jquery/-/jquery-3.2.1.tgz",
"integrity": "sha1-XE2d5lKvbNCncBVKYxu6ErAVx4c="
},
"js-yaml": {
"version": "3.5.5",
......
......@@ -15,14 +15,14 @@
"angular": "1.4.8",
"angular-animate": "1.4.8",
"angular-aria": "1.4.8",
"angular-chosen-localytics": "^1.6.0",
"angular-chosen-localytics": "1.4.3",
"angular-sanitize": "1.4.8",
"angular-tablesort": "1.1.1",
"angular-ui-bootstrap": "0.14.3",
"angular-ui-router": "0.2.15",
"angular-ui-tree": "2.11.0",
"google-code-prettify": "1.0.1",
"jquery": "^3.3.1"
"jquery": "3.2.1"
},
"devDependencies": {
"angular-mocks": "1.4.8",
......
<%@ page language="java" contentType="text/html; charset=UTF-8" session="false" pageEncoding="UTF-8" %>
<%--
Copyright 2014-2016 Hippo B.V. (http://www.onehippo.com)
Copyright 2014-2018 Hippo B.V. (http://www.onehippo.com)
Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
......@@ -26,7 +26,7 @@
</script>
<script src="${pageContext.request.contextPath}/components/jquery/dist/jquery.js?v=${project.version}"></script>
<script src="${pageContext.request.contextPath}/components/angular/angular.js?v=${project.version}"></script>
<script src="${pageContext.request.contextPath}/components/chosen-npm/public/chosen.jquery.js?v=${project.version}"></script>
<script src="${pageContext.request.contextPath}/components/chosen-js/chosen.jquery.js?v=${project.version}"></script>
<script src="${pageContext.request.contextPath}/components/angular-chosen-localytics/dist/angular-chosen.js?v=${project.version}"></script>
<script src="${pageContext.request.contextPath}/components/angular-ui-bootstrap/ui-bootstrap-tpls.js?v=${project.version}"></script>
<script src="${pageContext.request.contextPath}/components/angular-ui-router/release/angular-ui-router.js?v=${project.version}"></script>
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment